[Snort-users] compile error

neal ntimm at ...1964...
Wed Nov 14 15:58:04 EST 2001


It is looking for libnet probably in /usr/local/include just create a
link to your libnet.h file or specify in config options.

-----Original Message-----
From: snort-users-admin at lists.sourceforge.net
[mailto:snort-users-admin at lists.sourceforge.net] On Behalf Of Fyodor
Sent: Wednesday, November 14, 2001 5:33 PM
To: Tom Fischer
Cc: Snort List
Subject: Re: [Snort-users] compile error


On Wed, Nov 14, 2001 at 06:24:14PM +0100, Tom Fischer wrote:
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi,
> 
> hope anybody can help me. The build process stops with this error(s):
> 

looks like libnet checks are abit broken in snort-current:

checking for pcap_datalink in -lpcap... (cached) yes
./configure: libnet-config: command not found
./configure: libnet-config: command not found
./configure: libnet-config: command not found
checking for libnet.h... no
checking for u_int8_t... (cached) yes

and it creates Makefile and stuff (when it should just spew an error and
exit at this point). I'll have a look after I have some sleep..
meanwhile looks like you aren't having libpcap installed, that's why
your compilation is broken. 


_______________________________________________
Snort-users mailing list
Snort-users at lists.sourceforge.net
Go to this URL to change user options or unsubscribe:
https://lists.sourceforge.net/lists/listinfo/snort-users
Snort-users list archive:
http://www.geocrawler.com/redir-sf.php3?list=snort-users





More information about the Snort-users mailing list